use firls_rs_macros::firls_complex;

use num::Complex;

const COEFFS: [Complex<f32>; 23] = firls_complex!(
    23,
    8000.0,
    [(0.0, 1.0), (1200.0, 1.0), (1500.0, 0.0), (4000.0, 0.0)],
    1500.0
);

fn main() {
    println!("[");
    for coeff in COEFFS.iter() {
        println!("{},", coeff)
    }
    println!("]");

    println!("Lenght: {}", COEFFS.len());
}
